For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet a counterpart's contacts
      • POSTCreate a counterpart contact
      • GETGet a counterpart's contact
      • DELDelete a counterpart's contact
      • PATCHUpdate a counterpart's contact
      • POSTSet a counterpart's default contact
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterpart contacts

Get a counterpart's contacts

GET
/counterparts/:counterpart_id/contacts
GET
/v1/counterparts/:counterpart_id/contacts
$curl https://api.sandbox.monite.com/v1/counterparts/counterpart_id/contacts \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "address": {
6 "city": "Berlin",
7 "country": "AF",
8 "line1": "Flughafenstrasse 52",
9 "postal_code": "10115",
10 "line2": "line2",
11 "state": "state"
12 },
13 "counterpart_id": "counterpart_id",
14 "first_name": "Mary",
15 "is_default": true,
16 "last_name": "O'Brien",
17 "email": "contact@example.org",
18 "phone": "5551235476",
19 "title": "Ms."
20 }
21 ]
22}

Returns all contacts defined for the specified organization-type counterpart.

Was this page helpful?
Previous

Create a counterpart contact

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

ID of a counterpart to return contacts for. Only organization-type counterparts can have contacts.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects

Errors

401
Get Counterparts ID Contacts Request Unauthorized Error
403
Get Counterparts ID Contacts Request Forbidden Error
404
Get Counterparts ID Contacts Request Not Found Error
409
Get Counterparts ID Contacts Request Conflict Error
422
Get Counterparts ID Contacts Request Unprocessable Entity Error
429
Get Counterparts ID Contacts Request Too Many Requests Error